void rx_abs_dst(void);
void rx_abs_src_dst(void);
void rx_adc_imm_dst(void);
void rx_adc_src_dst(void);
void rx_adc_isrc_dst(void);
void rx_add_uimm_dst(void);
void rx_add_src_dst_ub(void);
void rx_add_src_dst_nub(void);
void rx_add_simm_src2_dst(void);
void rx_add_src_src2_dst(void);
void rx_and_uimm_dst(void);
void rx_and_imm_dst(void);
void rx_and_src_dst_ub(void);
void rx_and_src_dst_nub(void);
void rx_and_src_src2_dst(void);
void rx_bclr_imm_dst(void);
void rx_bclr_rs_dst(void);
void rx_bclr_imm5_dst(void);
void rx_bclr_src_dst(void);
void rx_bcnd_s_src(void);
void rx_bcnd_b_src(void);
void rx_bcnd_w_src(void);
void rx_bmcnd_imm3_dst(void);
void rx_bmcnd_src_dst(void);
void rx_bnot_im3_dst(void);
void rx_bnot_rs_dst(void);
void rx_bnot_imm5_rd(void);
void rx_bnot_rs_rd(void);
void rx_bra_s_src(void);
void rx_bra_b_src(void);
void rx_bra_w_src(void);
void rx_bra_a_src(void);
void rx_bra_l_src(void);
void rx_brk(void);
void rx_bset_imm3_dst(void);
void rx_bset_rs_dst(void);
void rx_bset_imm5_dst(void);
void rx_bset_rs_rd(void);
void rx_bsr_w_src(void);
void rx_bsr_a_src(void);
void rx_bsr_l_src(void);
void rx_btst_imm3_src2(void);
void rx_btst_rs_src2(void);
void rx_btst_imm5_src2(void);
void rx_btst_rs_rs2(void);
void rx_clrpsw(void);
void rx_cmp_uimm4_rs(void);
void rx_cmp_uimm8_rs(void);
void rx_cmp_imm_rs(void);
void rx_cmp_ubrs_src2(void);
void rx_cmp_memex_src2(void);
void rx_div_imm_dst(void);
void rx_div_ubrs_dst(void);
void rx_div_memex_dst(void);
void rx_divu_imm_dst(void);
void rx_divu_ubrs_dst(void);
void rx_divu_memex_dst(void);
void rx_emul_imm_dst(void);
void rx_emul_ubrs_dst(void);
void rx_emul_memex_dst(void);
void rx_emulu_imm_dst(void);
void rx_emulu_ubrs_dst(void);
void rx_emulu_memex_dst(void);
void rx_fadd_imm32_rd(void);
void rx_fadd_src_dst(void);
void rx_fcmp_imm32_rs2(void);
void rx_fcmp_src_src2(void);
void rx_fdiv_imm32_rd(void);
void rx_fdiv_src_dst(void);
void rx_fmul_imm32_rd(void);
void rx_fmul_src_dst(void);
void rx_fsub_imm32_dst(void);
void rx_fsub_src_dst(void);
void rx_ftoi_src_dst(void);
void rx_int(void);
void rx_itof_ubrs_rd(void);
void rx_itof_src_dst(void);
void rx_jmp_rs(void);
void rx_jsr_rs(void);
void rx_machi(void);
void rx_maclo(void);
void rx_max_simm_rd(void);
void rx_max_srcub_dst(void);
void rx_max_src_dst(void);
void rx_min_simm_rd(void);
void rx_min_srcub_rd(void);
void rx_min_src_dst(void);
void rx_mov_rs_dsp5_rd(void);
void rx_mov_dsp5_rs_rd(void);
void rx_mov_uimm4_rd(void);
void rx_mov_imm8_dsp5_rd(void);
void rx_mov_uimm8_rd(void);
void rx_mov_simm_rd(void);
void rx_mov_rs_rd(void);
void rx_mov_simm_dsp_ird(void);
void rx_mov_dsp_irs_rd(void);
void rx_mov_irirb_rd(void);
void rx_mov_rs_dsp_ird(void);
void rx_mov_rs_irird(void);
void rx_mov_dsp_irs_dsp_ird(void);
void rx_mov_rs_irdpm(void);
void rx_mov_irspm_rd(void);
void rx_movu_dsp5_rs_rd(void);
void rx_movu_src_rd(void);
void rx_movu_irirb_rd(void);
void rx_movu_rspm_rd(void);
void rx_mul_uimm4_rd(void);
void rx_mul_simm_rd(void);
void rx_mul_srcub_rd(void);
void rx_mul_src_rd(void);
void rx_mul_rsrs2_rd(void);
void rx_mulhi_rs_rs2(void);
void rx_mullo_rs_rs2(void);
void rx_mvfachi(void);
void rx_mvfacmi(void);
void rx_mvfc(void);
void rx_mvtachi(void);
void rx_mvtaclo(void);
void rx_mvtc_imm_dst(void);
void rx_mvtc_src_dst(void);
void rx_mvtipl_src(void);
void rx_neg_dst(void);
void rx_neg_src_dst(void);
void rx_nop(void);
void rx_not_dst(void);
void rx_not_src_dst(void);
void rx_or_uimm4_dst(void);
void rx_or_imm_dst(void);
void rx_or_src_dst_ub(void);
void rx_or_src_dst_nub(void);
void rx_or_src_src2_dst(void);
void rx_pop_dst(void);
void rx_popc_dst(void);
void rx_popm_dst_dst2(void);
void rx_push_rs(void);
void rx_push_isrc(void);
void rx_pushc_src(void);
void rx_pushm_src_src2(void);
void rx_racw_src(void);
void rx_revl_src_dst(void);
void rx_revw_src_dst(void);
void rx_rmpa(void);
void rx_rolc_dst(void);
void rx_rorc_dst(void);
void rx_rotl_imm5_dst(void);
void rx_rotl_src_dst(void);
void rx_rotr_imm5_dst(void);
void rx_rortr_src_dst(void);
void rx_round_src_dst(void);
void rx_rte(void);
void rx_rtfi(void);
void rx_rts(void);
void rx_rtsd_src(void);
void rx_rtsd_src_dst_dst2(void);
void rx_sat_dst(void);
void rx_satr(void);
void rx_sbb_src_dst(void);
void rx_sbb_isrc_dst(void);
void rx_sccnd_dst(void);
void rx_scmpu(void);
void rx_setpsw(void);
void rx_shar_imm5_dst(void);
void rx_shar_src_dst(void);
void rx_shar_imm5_src2_dst(void);
void rx_shll_imm5_dst(void);
void rx_shll_src_dst(void);
void rx_shll_imm5_src2_dst(void);
void rx_shlr_imm5_dst(void);
void rx_shlr_src_dst(void);
void rx_shlr_imm5_src2_dst(void);
void rx_smovb(void);
void rx_smovf(void);
void rx_smovu(void);
void rx_sstr(void);
void rx_stnz_src_dst(void);
void rx_stz_src_dst(void);
void rx_sub_uimm4_dst(void);
void rx_sub_src_dst_ub(void);
void rx_sub_src_dst_nub(void);
void rx_sub_src_src2_dst(void);
void rx_suntil(void);
void rx_swhile(void);
void rx_tst_imm_rs(void);
void rx_tst_src_src2_ub(void);
void rx_tst_src_src2_nub(void);
void rx_wait(void);
void rx_xchg_src_dst_ub(void);
void rx_xchg_src_dst_nub(void);
void rx_xor_imm_dst(void);
void rx_xor_src_dst_ub(void);
void rx_xor_src_dst_nub(void);
void rx_und(void);
void RXInstructions_Init(void);

